Bug 23111 - [meta-bug] GCC 4.2 pending patches
Summary: [meta-bug] GCC 4.2 pending patches
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: other (show other bugs)
Version: 4.1.0
: P2 enhancement
Target Milestone: 4.2.0
Assignee: Not yet assigned to anyone
URL:
Keywords: meta-bug
Depends on: 20070 20211 24429 18995 19653 21559 22555 23294 23606 23911 24323
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-28 16:20 UTC by Jeffrey A. Law
Modified: 2006-06-27 02:48 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-04-23 17:55:38


Attachments
Have compare_ranges return false for [ , MAX0] == [MIN1,...] where MAX0 < MIN1 (452 bytes, patch)
2005-08-02 14:27 UTC, James A. Morrison
Details | Diff
testcase for vr_eq_false.patch (203 bytes, text/plain)
2005-08-02 14:28 UTC, James A. Morrison
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffrey A. Law 2005-07-28 16:20:55 UTC
This metabug is used to track all the patches which have been written during 
Stage 3 of GCC 4.1 but do not qualify for that stage, and are waiting for Stage 
1 of GCC 4.2 to be applied.

Please, do not attacch the patches to this bug. Open a new bug report, and mark 
it as "blocking" this metabug (this metabug will "depend" on the new bug 
report).
Comment 1 James A. Morrison 2005-08-02 14:27:36 UTC
Created attachment 9412 [details]
Have compare_ranges return false for [ , MAX0] == [MIN1,...] where MAX0 < MIN1
Comment 2 James A. Morrison 2005-08-02 14:28:13 UTC
Created attachment 9413 [details]
testcase for vr_eq_false.patch
Comment 3 Steven Bosscher 2005-09-15 09:34:07 UTC
Add the PR for Paolo Bonzini's SSE regalloc improvements patch. 
 
Comment 4 Andrew Pinski 2006-06-27 02:48:23 UTC
We are now in stage3 which means all of the features have been applied so this can be closed.  I filed a 4.3 meta-bug as PR 28177.